QGIS Application - Bug report #18543
'Select features by value' QGIS crashes

2018-03-26 02:36 PM - Enrico Fiore

Status: Closed
Priority: Normal
Assignee:

Category: Vectors

Affected QGIS version:2.18.20
Operating System: windows 8 64 bit
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 26431

Description

If you active "Select features by value" tool to perform a research in a layer and then you try to edit the same layer, QGIS crashes.

History

#1 - 2018-10-06 08:10 PM - Stephen Knox

Is this still an issue? | am unable to reproduce in 3

#2 - 2018-10-12 12:10 PM - Enrico Fiore

In QGIS 3 it is resolved, but in qgis 2.18.20 it is not resolved.

#3 - 2018-10-12 03:49 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.17 to 2.18.20

- Status changed from Open to Feedback

can you test with the latest 2.187?

#4 - 2018-11-12 12:38 AM - Enrico Fiore

| tested and the issue is not resolved in the 2.18.25

#5 - 2018-11-12 12:39 AM - Enrico Fiore
- Status changed from Feedback to Open

#6 - 2018-11-12 12:35 PM - Giovanni Manghi
- Status changed from Open to Feedback

Enrico Fiore wrote:

| tested and the issue is not resolved in the 2.18.25
try with no (installed or enabled) 3rd party plugins, attach a sample project with data and exact steps to replicate.

#7 - 2019-01-15 04:04 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

This works correctly in 3.4
